Summary:        JBIG1 lossless image compression tools
Name:           jbigkit
Version:        2.1
Release:        7%{?dist}
License:        GPLv2+
URL:            http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source0:        http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz

Patch0001:      patch0001-check-for-end-of-file-within-MARKER_NEWLEN.patch
#Patch3000 is from fedora
Patch3000:      jbigkit-2.1-shlib.patch
Patch5000:      0001-jbigkit-link-tstcodec85-against-libjbig85.patch

BuildRequires: gcc make
Requires:       jbigkit-libs = %{version}-%{release}

%description
JBIG-KIT is a software implementation of the JBIG1 data compression 
standard (ITU-T T.82), which was designed for bi-level image data, 
such as scanned documents. This library is available in portable C 
code. It is widely used in fax products, printer firmware, printer 
drivers, document management systems and imaging software.

The package includes two variant implementations: jbig.c implements 
nearly all options of the standard, but has to keep the full uncompressed 
image in memory, whereas jbig85.c implements just the ITU-T T.85 profile, 
with memory management optimized for embedded and fax applications, 
buffering only a few lines of the uncompressed image in memory, able 
to stream images of initially unknown height.


%package libs
Summary:        JBIG1 lossless image compression library

%description libs
This package provides JBIG1 lossless image compression library.


%package devel
Summary:        Development package of JBIG1 lossless image compression library
Requires:       jbigkit-libs = %{version}-%{release}

%description devel
Development headers and libraries for JBIG1 lossless image compression library.


%prep
%autosetup -p1


%build
%make_build


%install
mkdir -p %{buildroot}%{_libdir}
install -p -m0755 libjbig/libjbig*.so.%{version} %{buildroot}/%{_libdir}
ln -sf libjbig.so.%{version} %{buildroot}/%{_libdir}/libjbig.so
ln -sf libjbig85.so.%{version} %{buildroot}/%{_libdir}/libjbig85.so

mkdir -p %{buildroot}%{_bindir}
install -p -m0755 pbmtools/jbgtopbm{,85} %{buildroot}%{_bindir}
install -p -m0755 pbmtools/pbmtojbg{,85} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_includedir}
install -p -m0644 libjbig/jbig*.h %{buildroot}%{_includedir}

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 pbmtools/*.1 %{buildroot}%{_mandir}/man1


%check
make test


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%license COPYING
%doc ANNOUNCE TODO CHANGES
%{_bindir}/*
%{_mandir}/man1/*.1.gz


%files libs
%license COPYING
%{_libdir}/libjbig*.so.%{version}


%files devel
%{_libdir}/libjbig*.so
%{_includedir}/jbig*.h


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 09 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.1-4
- Link tstcodec85 against libjbig85

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug  1 2022 doriscchao <doriscchao@tencent.com> - 2.1-1
- initial build, Version 2.1, Release 1
